summaryrefslogtreecommitdiff
path: root/MAKEALL
diff options
context:
space:
mode:
Diffstat (limited to 'MAKEALL')
-rwxr-xr-xMAKEALL28
1 files changed, 22 insertions, 6 deletions
diff --git a/MAKEALL b/MAKEALL
index 020e65fdc8f..929fe884c54 100755
--- a/MAKEALL
+++ b/MAKEALL
@@ -162,9 +162,23 @@ while true ; do
echo "Internal error!" >&2 ; exit 1 ;;
esac
done
+
+GNU_MAKE=$(scripts/show-gnu-make) || {
+ echo "GNU Make not found" >&2
+ exit 1
+}
+
# echo "Remaining arguments:"
# for arg do echo '--> '"\`$arg'" ; done
+if [ ! -r boards.cfg ]; then
+ echo "Could not find boards.cfg"
+ tools/genboardscfg.py || {
+ echo "Failed to generate boards.cfg" >&2
+ exit 1
+ }
+fi
+
FILTER="\$1 !~ /^#/"
[ "$opt_a" ] && FILTER="${FILTER} && $opt_a"
[ "$opt_c" ] && FILTER="${FILTER} && $opt_c"
@@ -506,9 +520,9 @@ get_target_location() {
set ${line}
- CONFIG_NAME="${7%_config}"
+ CONFIG_NAME="${7%_defconfig}"
- [ "${BOARD_NAME}" ] || BOARD_NAME="${7%_config}"
+ [ "${BOARD_NAME}" ] || BOARD_NAME="${7%_defconfig}"
if [ $# -gt 5 ]; then
if [ "$6" = "-" ] ; then
@@ -633,11 +647,11 @@ build_target() {
target_arch=$(get_target_arch ${target})
eval cross_toolchain=\$CROSS_COMPILE_`echo $target_arch | tr '[:lower:]' '[:upper:]'`
if [ "${cross_toolchain}" ] ; then
- MAKE="make CROSS_COMPILE=${cross_toolchain}"
+ MAKE="$GNU_MAKE CROSS_COMPILE=${cross_toolchain}"
elif [ "${CROSS_COMPILE}" ] ; then
- MAKE="make CROSS_COMPILE=${CROSS_COMPILE}"
+ MAKE="$GNU_MAKE CROSS_COMPILE=${CROSS_COMPILE}"
else
- MAKE=make
+ MAKE=$GNU_MAKE
fi
if [ "${output_dir}" != "." ] ; then
@@ -645,7 +659,9 @@ build_target() {
fi
${MAKE} distclean >/dev/null
- ${MAKE} -s ${target}_config
+
+ echo "Building ${target} board..."
+ ${MAKE} -s ${target}_defconfig >/dev/null
${MAKE} ${JOBS} ${CHECK} all \
>${LOG_DIR}/$target.MAKELOG 2> ${LOG_DIR}/$target.ERR